Delete a secret
curl --request DELETE \
--url https://{controlPlaneURL}/api/svc/v1/secrets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/secrets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Secrets
Delete a secret
Delete the secret and all its versions permanently.
DELETE
/
api
/
svc
/
v1
/
secrets
/
{id}
Delete a secret
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the secret.
Query Parameters
Whether to force delete the secret.
Response
Count of deleted secrets.
The response is of type number.
Was this page helpful?
⌘I